Bug 1775029 (CVE-2019-19061) - CVE-2019-19061 kernel: A memory leak in the adis_update_scan_mode_burst() function in drivers/iio/imu/adis_buffer.c allows for a DoS
Summary: CVE-2019-19061 kernel: A memory leak in the adis_update_scan_mode_burst() fun...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-19061
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1775030
Blocks: 1775033
TreeView+ depends on / blocked
 
Reported: 2019-11-21 11:30 UTC by Marian Rehak
Modified: 2020-04-28 12:44 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A memory leak flaw was found in the adis_update_scan_mode_burst() function in drivers/iio/imu/adis_buffer.c in the Linux kernel. This flaw allows attackers to cause a denial of service.
Clone Of:
Environment:
Last Closed: 2020-02-25 15:44:34 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-11-21 11:30:38 UTC
A memory leak in the adis_update_scan_mode_burst() function in drivers/iio/imu/adis_buffer.c in the Linux kernel before 5.3.9 allows attackers to cause a denial of service (memory consumption).

Upstream Issue:

https://github.com/torvalds/linux/commit/9c0530e898f384c5d279bfcebd8bb17af1105873

Comment 1 Marian Rehak 2019-11-21 11:31:01 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1775030]

Comment 2 Justin M. Forbes 2019-11-21 17:55:57 UTC
This was fixed for Fedora with the 5.3.9 stable kernel updates.


Note You need to log in before you can comment on or make changes to this bug.